/**
 * @name array-of-arrays-into-ast
 * @fileoverview Turns an array of arrays of data into a nested tree of plain objects
 * @version 3.0.10
 * @author Roy Revelt, Codsen Ltd
 * @license MIT
 * {@link https://codsen.com/os/array-of-arrays-into-ast/}
 */

var arrayOfArraysIntoAst=(()=>{var pr=Object.create;var H=Object.defineProperty,lr=Object.defineProperties,yr=Object.getOwnPropertyDescriptor,hr=Object.getOwnPropertyDescriptors,gr=Object.getOwnPropertyNames,Ht=Object.getOwnPropertySymbols,dr=Object.getPrototypeOf,Gt=Object.prototype.hasOwnProperty,br=Object.prototype.propertyIsEnumerable;var Vt=(t,e,r)=>e in t?H(t,e,{enumerable:!0,configurable:!0,writable:!0,value:r}):t[e]=r,_=(t,e)=>{for(var r in e||(e={}))Gt.call(e,r)&&Vt(t,r,e[r]);if(Ht)for(var r of Ht(e))br.call(e,r)&&Vt(t,r,e[r]);return t},J=(t,e)=>lr(t,hr(e)),Bt=t=>H(t,"__esModule",{value:!0});var M=(t,e)=>()=>(e||t((e={exports:{}}).exports,e),e.exports),_r=(t,e)=>{for(var r in e)H(t,r,{get:e[r],enumerable:!0})},Ut=(t,e,r,o)=>{if(e&&typeof e=="object"||typeof e=="function")for(let n of gr(e))!Gt.call(t,n)&&(r||n!=="default")&&H(t,n,{get:()=>e[n],enumerable:!(o=yr(e,n))||o.enumerable});return t},x=(t,e)=>Ut(Bt(H(t!=null?pr(dr(t)):{},"default",!e&&t&&t.__esModule?{get:()=>t.default,enumerable:!0}:{value:t,enumerable:!0})),t),mr=(t=>(e,r)=>t&&t.get(e)||(r=Ut(Bt({}),e,1),t&&t.set(e,r),r))(typeof WeakMap!="undefined"?new WeakMap:0);var Me=M((B,N)=>{var Or=200,Lt="__lodash_hash_undefined__",Wt=9007199254740991,ct="[object Arguments]",jr="[object Array]",Jt="[object Boolean]",qt="[object Date]",vr="[object Error]",ft="[object Function]",Xt="[object GeneratorFunction]",q="[object Map]",Yt="[object Number]",ut="[object Object]",Zt="[object Promise]",Qt="[object RegExp]",X="[object Set]",zt="[object String]",te="[object Symbol]",pt="[object WeakMap]",ee="[object ArrayBuffer]",Y="[object DataView]",re="[object Float32Array]",ne="[object Float64Array]",oe="[object Int8Array]",ie="[object Int16Array]",ae="[object Int32Array]",se="[object Uint8Array]",ce="[object Uint8ClampedArray]",fe="[object Uint16Array]",ue="[object Uint32Array]",Ar=/[\\^$.*+?()[\]{}|]/g,Sr=/\w*$/,wr=/^\[object .+?Constructor\]$/,kr=/^(?:0|[1-9]\d*)$/,h={};h[ct]=h[jr]=h[ee]=h[Y]=h[Jt]=h[qt]=h[re]=h[ne]=h[oe]=h[ie]=h[ae]=h[q]=h[Yt]=h[ut]=h[Qt]=h[X]=h[zt]=h[te]=h[se]=h[ce]=h[fe]=h[ue]=!0;h[vr]=h[ft]=h[pt]=!1;var xr=typeof global=="object"&&global&&global.Object===Object&&global,Tr=typeof self=="object"&&self&&self.Object===Object&&self,v=xr||Tr||Function("return this")(),pe=typeof B=="object"&&B&&!B.nodeType&&B,le=pe&&typeof N=="object"&&N&&!N.nodeType&&N,Er=le&&le.exports===pe;function Cr(t,e){return t.set(e[0],e[1]),t}function Ir(t,e){return t.add(e),t}function Mr(t,e){for(var r=-1,o=t?t.length:0;++r<o&&e(t[r],r,t)!==!1;);return t}function $r(t,e){for(var r=-1,o=e.length,n=t.length;++r<o;)t[n+r]=e[r];return t}function ye(t,e,r,o){var n=-1,c=t?t.length:0;for(o&&c&&(r=t[++n]);++n<c;)r=e(r,t[n],n,t);return r}function Pr(t,e){for(var r=-1,o=Array(t);++r<t;)o[r]=e(r);return o}function Fr(t,e){return t==null?void 0:t[e]}function he(t){var e=!1;if(t!=null&&typeof t.toString!="function")try{e=!!(t+"")}catch(r){}return e}function ge(t){var e=-1,r=Array(t.size);return t.forEach(function(o,n){r[++e]=[n,o]}),r}function lt(t,e){return function(r){return t(e(r))}}function de(t){var e=-1,r=Array(t.size);return t.forEach(function(o){r[++e]=o}),r}var Nr=Array.prototype,Kr=Function.prototype,Z=Object.prototype,yt=v["__core-js_shared__"],be=function(){var t=/[^.]+$/.exec(yt&&yt.keys&&yt.keys.IE_PROTO||"");return t?"Symbol(src)_1."+t:""}(),_e=Kr.toString,S=Z.hasOwnProperty,Q=Z.toString,Dr=RegExp("^"+_e.call(S).replace(Ar,"\\$&").replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g,"$1.*?")+"$"),me=Er?v.Buffer:void 0,Oe=v.Symbol,je=v.Uint8Array,Rr=lt(Object.getPrototypeOf,Object),Hr=Object.create,Gr=Z.propertyIsEnumerable,Vr=Nr.splice,ve=Object.getOwnPropertySymbols,Br=me?me.isBuffer:void 0,Ur=lt(Object.keys,Object),ht=F(v,"DataView"),G=F(v,"Map"),gt=F(v,"Promise"),dt=F(v,"Set"),bt=F(v,"WeakMap"),V=F(Object,"create"),Lr=C(ht),Wr=C(G),Jr=C(gt),qr=C(dt),Xr=C(bt),Ae=Oe?Oe.prototype:void 0,Se=Ae?Ae.valueOf:void 0;function T(t){var e=-1,r=t?t.length:0;for(this.clear();++e<r;){var o=t[e];this.set(o[0],o[1])}}function Yr(){this.__data__=V?V(null):{}}function Zr(t){return this.has(t)&&delete this.__data__[t]}function Qr(t){var e=this.__data__;if(V){var r=e[t];return r===Lt?void 0:r}return S.call(e,t)?e[t]:void 0}function zr(t){var e=this.__data__;return V?e[t]!==void 0:S.call(e,t)}function tn(t,e){var r=this.__data__;return r[t]=V&&e===void 0?Lt:e,this}T.prototype.clear=Yr;T.prototype.delete=Zr;T.prototype.get=Qr;T.prototype.has=zr;T.prototype.set=tn;function A(t){var e=-1,r=t?t.length:0;for(this.clear();++e<r;){var o=t[e];this.set(o[0],o[1])}}function en(){this.__data__=[]}function rn(t){var e=this.__data__,r=z(e,t);if(r<0)return!1;var o=e.length-1;return r==o?e.pop():Vr.call(e,r,1),!0}function nn(t){var e=this.__data__,r=z(e,t);return r<0?void 0:e[r][1]}function on(t){return z(this.__data__,t)>-1}function an(t,e){var r=this.__data__,o=z(r,t);return o<0?r.push([t,e]):r[o][1]=e,this}A.prototype.clear=en;A.prototype.delete=rn;A.prototype.get=nn;A.prototype.has=on;A.prototype.set=an;function $(t){var e=-1,r=t?t.length:0;for(this.clear();++e<r;){var o=t[e];this.set(o[0],o[1])}}function sn(){this.__data__={hash:new T,map:new(G||A),string:new T}}function cn(t){return tt(this,t).delete(t)}function fn(t){return tt(this,t).get(t)}function un(t){return tt(this,t).has(t)}function pn(t,e){return tt(this,t).set(t,e),this}$.prototype.clear=sn;$.prototype.delete=cn;$.prototype.get=fn;$.prototype.has=un;$.prototype.set=pn;function P(t){this.__data__=new A(t)}function ln(){this.__data__=new A}function yn(t){return this.__data__.delete(t)}function hn(t){return this.__data__.get(t)}function gn(t){return this.__data__.has(t)}function dn(t,e){var r=this.__data__;if(r instanceof A){var o=r.__data__;if(!G||o.length<Or-1)return o.push([t,e]),this;r=this.__data__=new $(o)}return r.set(t,e),this}P.prototype.clear=ln;P.prototype.delete=yn;P.prototype.get=hn;P.prototype.has=gn;P.prototype.set=dn;function bn(t,e){var r=Ot(t)||Gn(t)?Pr(t.length,String):[],o=r.length,n=!!o;for(var c in t)(e||S.call(t,c))&&!(n&&(c=="length"||Kn(c,o)))&&r.push(c);return r}function we(t,e,r){var o=t[e];(!(S.call(t,e)&&Ee(o,r))||r===void 0&&!(e in t))&&(t[e]=r)}function z(t,e){for(var r=t.length;r--;)if(Ee(t[r][0],e))return r;return-1}function _n(t,e){return t&&ke(e,jt(e),t)}function _t(t,e,r,o,n,c,i){var a;if(o&&(a=c?o(t,n,c,i):o(t)),a!==void 0)return a;if(!et(t))return t;var u=Ot(t);if(u){if(a=Pn(t),!e)return In(t,a)}else{var p=E(t),d=p==ft||p==Xt;if(Bn(t))return Sn(t,e);if(p==ut||p==ct||d&&!c){if(he(t))return c?t:{};if(a=Fn(d?{}:t),!e)return Mn(t,_n(a,t))}else{if(!h[p])return c?t:{};a=Nn(t,p,_t,e)}}i||(i=new P);var m=i.get(t);if(m)return m;if(i.set(t,a),!u)var l=r?$n(t):jt(t);return Mr(l||t,function(s,g){l&&(g=s,s=t[g]),we(a,g,_t(s,e,r,o,g,t,i))}),a}function mn(t){return et(t)?Hr(t):{}}function On(t,e,r){var o=e(t);return Ot(t)?o:$r(o,r(t))}function jn(t){return Q.call(t)}function vn(t){if(!et(t)||Rn(t))return!1;var e=Ie(t)||he(t)?Dr:wr;return e.test(C(t))}function An(t){if(!Te(t))return Ur(t);var e=[];for(var r in Object(t))S.call(t,r)&&r!="constructor"&&e.push(r);return e}function Sn(t,e){if(e)return t.slice();var r=new t.constructor(t.length);return t.copy(r),r}function mt(t){var e=new t.constructor(t.byteLength);return new je(e).set(new je(t)),e}function wn(t,e){var r=e?mt(t.buffer):t.buffer;return new t.constructor(r,t.byteOffset,t.byteLength)}function kn(t,e,r){var o=e?r(ge(t),!0):ge(t);return ye(o,Cr,new t.constructor)}function xn(t){var e=new t.constructor(t.source,Sr.exec(t));return e.lastIndex=t.lastIndex,e}function Tn(t,e,r){var o=e?r(de(t),!0):de(t);return ye(o,Ir,new t.constructor)}function En(t){return Se?Object(Se.call(t)):{}}function Cn(t,e){var r=e?mt(t.buffer):t.buffer;return new t.constructor(r,t.byteOffset,t.length)}function In(t,e){var r=-1,o=t.length;for(e||(e=Array(o));++r<o;)e[r]=t[r];return e}function ke(t,e,r,o){r||(r={});for(var n=-1,c=e.length;++n<c;){var i=e[n],a=o?o(r[i],t[i],i,r,t):void 0;we(r,i,a===void 0?t[i]:a)}return r}function Mn(t,e){return ke(t,xe(t),e)}function $n(t){return On(t,jt,xe)}function tt(t,e){var r=t.__data__;return Dn(e)?r[typeof e=="string"?"string":"hash"]:r.map}function F(t,e){var r=Fr(t,e);return vn(r)?r:void 0}var xe=ve?lt(ve,Object):Wn,E=jn;(ht&&E(new ht(new ArrayBuffer(1)))!=Y||G&&E(new G)!=q||gt&&E(gt.resolve())!=Zt||dt&&E(new dt)!=X||bt&&E(new bt)!=pt)&&(E=function(t){var e=Q.call(t),r=e==ut?t.constructor:void 0,o=r?C(r):void 0;if(o)switch(o){case Lr:return Y;case Wr:return q;case Jr:return Zt;case qr:return X;case Xr:return pt}return e});function Pn(t){var e=t.length,r=t.constructor(e);return e&&typeof t[0]=="string"&&S.call(t,"index")&&(r.index=t.index,r.input=t.input),r}function Fn(t){return typeof t.constructor=="function"&&!Te(t)?mn(Rr(t)):{}}function Nn(t,e,r,o){var n=t.constructor;switch(e){case ee:return mt(t);case Jt:case qt:return new n(+t);case Y:return wn(t,o);case re:case ne:case oe:case ie:case ae:case se:case ce:case fe:case ue:return Cn(t,o);case q:return kn(t,o,r);case Yt:case zt:return new n(t);case Qt:return xn(t);case X:return Tn(t,o,r);case te:return En(t)}}function Kn(t,e){return e=e==null?Wt:e,!!e&&(typeof t=="number"||kr.test(t))&&t>-1&&t%1==0&&t<e}function Dn(t){var e=typeof t;return e=="string"||e=="number"||e=="symbol"||e=="boolean"?t!=="__proto__":t===null}function Rn(t){return!!be&&be in t}function Te(t){var e=t&&t.constructor,r=typeof e=="function"&&e.prototype||Z;return t===r}function C(t){if(t!=null){try{return _e.call(t)}catch(e){}try{return t+""}catch(e){}}return""}function Hn(t){return _t(t,!0,!0)}function Ee(t,e){return t===e||t!==t&&e!==e}function Gn(t){return Vn(t)&&S.call(t,"callee")&&(!Gr.call(t,"callee")||Q.call(t)==ct)}var Ot=Array.isArray;function Ce(t){return t!=null&&Un(t.length)&&!Ie(t)}function Vn(t){return Ln(t)&&Ce(t)}var Bn=Br||Jn;function Ie(t){var e=et(t)?Q.call(t):"";return e==ft||e==Xt}function Un(t){return typeof t=="number"&&t>-1&&t%1==0&&t<=Wt}function et(t){var e=typeof t;return!!t&&(e=="object"||e=="function")}function Ln(t){return!!t&&typeof t=="object"}function jt(t){return Ce(t)?bn(t):An(t)}function Wn(){return[]}function Jn(){return!1}N.exports=Hn});var De=M((ua,Ke)=>{var $e=1/0,Pe=9007199254740991,qn=17976931348623157e292,Fe=0/0,Xn="[object Arguments]",Yn="[object Function]",Zn="[object GeneratorFunction]",Qn="[object String]",zn="[object Symbol]",to=/^\s+|\s+$/g,eo=/^[-+]0x[0-9a-f]+$/i,ro=/^0b[01]+$/i,no=/^0o[0-7]+$/i,oo=/^(?:0|[1-9]\d*)$/,io=parseInt;function ao(t,e){for(var r=-1,o=t?t.length:0,n=Array(o);++r<o;)n[r]=e(t[r],r,t);return n}function so(t,e,r,o){for(var n=t.length,c=r+(o?1:-1);o?c--:++c<n;)if(e(t[c],c,t))return c;return-1}function co(t,e,r){if(e!==e)return so(t,fo,r);for(var o=r-1,n=t.length;++o<n;)if(t[o]===e)return o;return-1}function fo(t){return t!==t}function uo(t,e){for(var r=-1,o=Array(t);++r<t;)o[r]=e(r);return o}function po(t,e){return ao(e,function(r){return t[r]})}function lo(t,e){return function(r){return t(e(r))}}var rt=Object.prototype,vt=rt.hasOwnProperty,nt=rt.toString,yo=rt.propertyIsEnumerable,ho=lo(Object.keys,Object),go=Math.max;function bo(t,e){var r=Ne(t)||vo(t)?uo(t.length,String):[],o=r.length,n=!!o;for(var c in t)(e||vt.call(t,c))&&!(n&&(c=="length"||mo(c,o)))&&r.push(c);return r}function _o(t){if(!Oo(t))return ho(t);var e=[];for(var r in Object(t))vt.call(t,r)&&r!="constructor"&&e.push(r);return e}function mo(t,e){return e=e==null?Pe:e,!!e&&(typeof t=="number"||oo.test(t))&&t>-1&&t%1==0&&t<e}function Oo(t){var e=t&&t.constructor,r=typeof e=="function"&&e.prototype||rt;return t===r}function jo(t,e,r,o){t=At(t)?t:Mo(t),r=r&&!o?Eo(r):0;var n=t.length;return r<0&&(r=go(n+r,0)),ko(t)?r<=n&&t.indexOf(e,r)>-1:!!n&&co(t,e,r)>-1}function vo(t){return Ao(t)&&vt.call(t,"callee")&&(!yo.call(t,"callee")||nt.call(t)==Xn)}var Ne=Array.isArray;function At(t){return t!=null&&wo(t.length)&&!So(t)}function Ao(t){return wt(t)&&At(t)}function So(t){var e=St(t)?nt.call(t):"";return e==Yn||e==Zn}function wo(t){return typeof t=="number"&&t>-1&&t%1==0&&t<=Pe}function St(t){var e=typeof t;return!!t&&(e=="object"||e=="function")}function wt(t){return!!t&&typeof t=="object"}function ko(t){return typeof t=="string"||!Ne(t)&&wt(t)&&nt.call(t)==Qn}function xo(t){return typeof t=="symbol"||wt(t)&&nt.call(t)==zn}function To(t){if(!t)return t===0?t:0;if(t=Co(t),t===$e||t===-$e){var e=t<0?-1:1;return e*qn}return t===t?t:0}function Eo(t){var e=To(t),r=e%1;return e===e?r?e-r:e:0}function Co(t){if(typeof t=="number")return t;if(xo(t))return Fe;if(St(t)){var e=typeof t.valueOf=="function"?t.valueOf():t;t=St(e)?e+"":e}if(typeof t!="string")return t===0?t:+t;t=t.replace(to,"");var r=ro.test(t);return r||no.test(t)?io(t.slice(2),r?2:8):eo.test(t)?Fe:+t}function Io(t){return At(t)?bo(t):_o(t)}function Mo(t){return t?po(t,Io(t)):[]}Ke.exports=jo});var Le=M((pa,Ue)=>{var $o=200,kt="__lodash_hash_undefined__",Po=1/0,Fo="[object Function]",No="[object GeneratorFunction]",Ko=/[\\^$.*+?()[\]{}|]/g,Do=/^\[object .+?Constructor\]$/,Ro=typeof global=="object"&&global&&global.Object===Object&&global,Ho=typeof self=="object"&&self&&self.Object===Object&&self,xt=Ro||Ho||Function("return this")();function Go(t,e){var r=t?t.length:0;return!!r&&Uo(t,e,0)>-1}function Vo(t,e,r){for(var o=-1,n=t?t.length:0;++o<n;)if(r(e,t[o]))return!0;return!1}function Bo(t,e,r,o){for(var n=t.length,c=r+(o?1:-1);o?c--:++c<n;)if(e(t[c],c,t))return c;return-1}function Uo(t,e,r){if(e!==e)return Bo(t,Lo,r);for(var o=r-1,n=t.length;++o<n;)if(t[o]===e)return o;return-1}function Lo(t){return t!==t}function Wo(t,e){return t.has(e)}function Jo(t,e){return t==null?void 0:t[e]}function qo(t){var e=!1;if(t!=null&&typeof t.toString!="function")try{e=!!(t+"")}catch(r){}return e}function Re(t){var e=-1,r=Array(t.size);return t.forEach(function(o){r[++e]=o}),r}var Xo=Array.prototype,Yo=Function.prototype,He=Object.prototype,Tt=xt["__core-js_shared__"],Ge=function(){var t=/[^.]+$/.exec(Tt&&Tt.keys&&Tt.keys.IE_PROTO||"");return t?"Symbol(src)_1."+t:""}(),Ve=Yo.toString,Et=He.hasOwnProperty,Zo=He.toString,Qo=RegExp("^"+Ve.call(Et).replace(Ko,"\\$&").replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g,"$1.*?")+"$"),zo=Xo.splice,ti=It(xt,"Map"),Ct=It(xt,"Set"),U=It(Object,"create");function I(t){var e=-1,r=t?t.length:0;for(this.clear();++e<r;){var o=t[e];this.set(o[0],o[1])}}function ei(){this.__data__=U?U(null):{}}function ri(t){return this.has(t)&&delete this.__data__[t]}function ni(t){var e=this.__data__;if(U){var r=e[t];return r===kt?void 0:r}return Et.call(e,t)?e[t]:void 0}function oi(t){var e=this.__data__;return U?e[t]!==void 0:Et.call(e,t)}function ii(t,e){var r=this.__data__;return r[t]=U&&e===void 0?kt:e,this}I.prototype.clear=ei;I.prototype.delete=ri;I.prototype.get=ni;I.prototype.has=oi;I.prototype.set=ii;function K(t){var e=-1,r=t?t.length:0;for(this.clear();++e<r;){var o=t[e];this.set(o[0],o[1])}}function ai(){this.__data__=[]}function si(t){var e=this.__data__,r=it(e,t);if(r<0)return!1;var o=e.length-1;return r==o?e.pop():zo.call(e,r,1),!0}function ci(t){var e=this.__data__,r=it(e,t);return r<0?void 0:e[r][1]}function fi(t){return it(this.__data__,t)>-1}function ui(t,e){var r=this.__data__,o=it(r,t);return o<0?r.push([t,e]):r[o][1]=e,this}K.prototype.clear=ai;K.prototype.delete=si;K.prototype.get=ci;K.prototype.has=fi;K.prototype.set=ui;function D(t){var e=-1,r=t?t.length:0;for(this.clear();++e<r;){var o=t[e];this.set(o[0],o[1])}}function pi(){this.__data__={hash:new I,map:new(ti||K),string:new I}}function li(t){return at(this,t).delete(t)}function yi(t){return at(this,t).get(t)}function hi(t){return at(this,t).has(t)}function gi(t,e){return at(this,t).set(t,e),this}D.prototype.clear=pi;D.prototype.delete=li;D.prototype.get=yi;D.prototype.has=hi;D.prototype.set=gi;function ot(t){var e=-1,r=t?t.length:0;for(this.__data__=new D;++e<r;)this.add(t[e])}function di(t){return this.__data__.set(t,kt),this}function bi(t){return this.__data__.has(t)}ot.prototype.add=ot.prototype.push=di;ot.prototype.has=bi;function it(t,e){for(var r=t.length;r--;)if(wi(t[r][0],e))return r;return-1}function _i(t){if(!Be(t)||vi(t))return!1;var e=ki(t)||qo(t)?Qo:Do;return e.test(Ai(t))}function mi(t,e,r){var o=-1,n=Go,c=t.length,i=!0,a=[],u=a;if(r)i=!1,n=Vo;else if(c>=$o){var p=e?null:Oi(t);if(p)return Re(p);i=!1,n=Wo,u=new ot}else u=e?[]:a;t:for(;++o<c;){var d=t[o],m=e?e(d):d;if(d=r||d!==0?d:0,i&&m===m){for(var l=u.length;l--;)if(u[l]===m)continue t;e&&u.push(m),a.push(d)}else n(u,m,r)||(u!==a&&u.push(m),a.push(d))}return a}var Oi=Ct&&1/Re(new Ct([,-0]))[1]==Po?function(t){return new Ct(t)}:xi;function at(t,e){var r=t.__data__;return ji(e)?r[typeof e=="string"?"string":"hash"]:r.map}function It(t,e){var r=Jo(t,e);return _i(r)?r:void 0}function ji(t){var e=typeof t;return e=="string"||e=="number"||e=="symbol"||e=="boolean"?t!=="__proto__":t===null}function vi(t){return!!Ge&&Ge in t}function Ai(t){if(t!=null){try{return Ve.call(t)}catch(e){}try{return t+""}catch(e){}}return""}function Si(t){return t&&t.length?mi(t):[]}function wi(t,e){return t===e||t!==t&&e!==e}function ki(t){var e=Be(t)?Zo.call(t):"";return e==Fo||e==No}function Be(t){var e=typeof t;return!!t&&(e=="object"||e=="function")}function xi(){}Ue.exports=Si});var Mt=M((la,qe)=>{var Ti="[object Object]";function Ei(t){var e=!1;if(t!=null&&typeof t.toString!="function")try{e=!!(t+"")}catch(r){}return e}function Ci(t,e){return function(r){return t(e(r))}}var Ii=Function.prototype,We=Object.prototype,Je=Ii.toString,Mi=We.hasOwnProperty,$i=Je.call(Object),Pi=We.toString,Fi=Ci(Object.getPrototypeOf,Object);function Ni(t){return!!t&&typeof t=="object"}function Ki(t){if(!Ni(t)||Pi.call(t)!=Ti||Ei(t))return!1;var e=Fi(t);if(e===null)return!0;var r=Mi.call(e,"constructor")&&e.constructor;return typeof r=="function"&&r instanceof r&&Je.call(r)==$i}qe.exports=Ki});var tr=M((L,R)=>{var Di="[object Date]",Ri=typeof global=="object"&&global&&global.Object===Object&&global,Xe=typeof L=="object"&&L&&!L.nodeType&&L,Ye=Xe&&typeof R=="object"&&R&&!R.nodeType&&R,Hi=Ye&&Ye.exports===Xe,Ze=Hi&&Ri.process,Qe=function(){try{return Ze&&Ze.binding("util")}catch(t){}}(),ze=Qe&&Qe.isDate;function Gi(t){return function(e){return t(e)}}var Vi=Object.prototype,Bi=Vi.toString;function Ui(t){return Wi(t)&&Bi.call(t)==Di}var Li=ze?Gi(ze):Ui;function Wi(t){return!!t&&typeof t=="object"}R.exports=Li});var rr=M((ya,er)=>{var Ji=typeof global=="object"&&global&&global.Object===Object&&global,qi=typeof self=="object"&&self&&self.Object===Object&&self,Xi=Ji||qi||Function("return this")(),Yi=Xi.isFinite;function Zi(t){return typeof t=="number"&&Yi(t)}er.exports=Zi});var ca={};_r(ca,{defaults:()=>ur,generateAst:()=>sa,version:()=>ia});var f=x(Me(),1),ir=x(De(),1),ar=x(Le(),1),j=x(Mt(),1),W=x(tr(),1),Ft=x(rr(),1);var nr=x(Mt(),1);function O(t){return t==null?!1:Array.isArray(t)||typeof t=="string"?!!t.length:(0,nr.default)(t)?!!Object.keys(t).length:typeof t=="number"}function $t(t){if(typeof t!="string")throw new TypeError("Expected a string");return t.replace(/[|\\{}()[\]^$+*?.]/g,"\\$&").replace(/-/g,"\\x2d")}var Pt=new Map,or=(t,e)=>{if(!Array.isArray(t))switch(typeof t){case"string":t=[t];break;case"undefined":t=[];break;default:throw new TypeError(`Expected '${e}' to be a string or an array, but got a type of '${typeof t}'`)}return t.filter(r=>{if(typeof r!="string"){if(typeof r=="undefined")return!1;throw new TypeError(`Expected '${e}' to be an array of strings, but found a type of '${typeof r}' in the array`)}return!0})},Qi=(t,e)=>{e=_({caseSensitive:!1},e);let r=t+JSON.stringify(e);if(Pt.has(r))return Pt.get(r);let o=t[0]==="!";o&&(t=t.slice(1)),t=$t(t).replace(/\\\*/g,"[\\s\\S]*");let n=new RegExp(`^${t}$`,e.caseSensitive?"":"i");return n.negated=o,Pt.set(r,n),n},zi=(t,e,r,o)=>{if(t=or(t,"inputs"),e=or(e,"patterns"),e.length===0)return[];e=e.map(i=>Qi(i,r));let{allPatterns:n}=r||{},c=[];for(let i of t){let a,u=[...e].fill(!1);for(let[p,d]of e.entries())if(d.test(i)&&(u[p]=!0,a=!d.negated,!a))break;if(!(a===!1||a===void 0&&e.some(p=>!p.negated)||n&&u.some((p,d)=>!p&&!e[d].negated))&&(c.push(i),o))break}return c};function st(t,e,r){return zi(t,e,r,!0).length>0}var ta={arrayVsArrayAllMustBeFound:"any",caseSensitive:!0};function Nt(t,e,r){if(!t.length||!e.length)return!1;let o=_(_({},ta),r),n=typeof t=="string"?[t]:Array.from(t);return typeof e=="string"?n.some(c=>st(c,e,{caseSensitive:o.caseSensitive})):o.arrayVsArrayAllMustBeFound==="any"?e.some(c=>n.some(i=>st(i,c,{caseSensitive:o.caseSensitive}))):e.every(c=>n.some(i=>st(i,c,{caseSensitive:o.caseSensitive})))}function Kt(t){return typeof t=="string"}function ea(t){return typeof t=="number"}function Dt(t){return typeof t=="boolean"}var w=Array.isArray;function sr(t){return!!t&&t.some(e=>typeof e=="string")}function ra(t,e){return Object.keys(t).length===0||Object.keys(e).length===0||Object.keys(t).every(r=>Object.keys(e).includes(r))||Object.keys(e).every(r=>Object.keys(t).includes(r))}function b(t){return t===null?"null":(0,W.default)(t)?"date":(0,j.default)(t)?"object":w(t)?"array":typeof t}var na={cb:null,mergeObjectsOnlyWhenKeysetMatches:!0,ignoreKeys:[],hardMergeKeys:[],hardArrayConcatKeys:[],mergeArraysContainingStringsToBeEmpty:!1,oneToManyArrayObjectMerge:!1,hardMergeEverything:!1,hardArrayConcat:!1,ignoreEverything:!1,concatInsteadOfMerging:!0,dedupeStringsInArrayValues:!1,mergeBoolsUsingOrNotAnd:!0,useNullAsExplicitFalse:!1};function k(t,e,r,o){var m;let n=_(_({},na),o);typeof n.ignoreKeys=="string"&&(n.ignoreKeys=[n.ignoreKeys]),typeof n.hardMergeKeys=="string"&&(n.hardMergeKeys=[n.hardMergeKeys]),n.hardMergeKeys.includes("*")&&(n.hardMergeEverything=!0),n.ignoreKeys.includes("*")&&(n.ignoreEverything=!0);let c;if(n.useNullAsExplicitFalse&&(e===null||r===null))return typeof n.cb=="function"?n.cb(e,r,null,{path:t.path,key:t.key,type:t.type}):null;let i=w(e)||(0,j.default)(e)?(0,f.default)(e):e,a=w(r)||(0,j.default)(r)?(0,f.default)(r):r,u;n.ignoreEverything?u=i:n.hardMergeEverything&&(u=a);let p=n.hardMergeEverything||n.ignoreEverything;if(w(i))if(O(i))if(w(a)&&O(a)){if(n.mergeArraysContainingStringsToBeEmpty&&(sr(i)||sr(a))){let s=p?u:[];return typeof n.cb=="function"?n.cb((0,f.default)(e),(0,f.default)(r),s,{path:c,key:t.key,type:t.type}):s}if(n.hardArrayConcat){let s=p?u:i.concat(a);return typeof n.cb=="function"?n.cb((0,f.default)(e),(0,f.default)(r),s,{path:c,key:t.key,type:t.type}):s}let l=[];for(let s=0,g=Math.max(i.length,a.length);s<g;s++)c=((m=t.path)==null?void 0:m.length)?`${t.path}.${s}`:`${s}`,(0,j.default)(i[s])&&(0,j.default)(a[s])&&(n.mergeObjectsOnlyWhenKeysetMatches&&ra(i[s],a[s])||!n.mergeObjectsOnlyWhenKeysetMatches)?l.push(k({path:c,key:t.key,type:[b(i),b(a)]},i[s],a[s],n)):n.oneToManyArrayObjectMerge&&(i.length===1||a.length===1)?l.push(i.length===1?k({path:c,key:t.key,type:[b(i),b(a)]},i[0],a[s],n):k({path:c,key:t.key,type:[b(i),b(a)]},i[s],a[0],n)):n.concatInsteadOfMerging?(s<i.length&&l.push(i[s]),s<a.length&&l.push(a[s])):(s<i.length&&l.push(i[s]),s<a.length&&!(0,ir.default)(i,a[s])&&l.push(a[s]));n.dedupeStringsInArrayValues&&l.every(s=>Kt(s))&&(l=(0,ar.default)(l).sort()),i=(0,f.default)(l)}else{let l=p?u:i;return typeof n.cb=="function"?n.cb((0,f.default)(e),(0,f.default)(r),l,{path:c,key:t.key,type:t.type}):l}else{if(O(a)){let s=p?u:a;return typeof n.cb=="function"?n.cb((0,f.default)(e),(0,f.default)(r),s,{path:c,key:t.key,type:t.type}):s}let l=p?u:i;return typeof n.cb=="function"?n.cb((0,f.default)(e),(0,f.default)(r),l,{path:c,key:t.key,type:t.type}):l}else if((0,j.default)(i)){if(O(i)){if(w(a)){if(O(a)){let y=p?u:a;return typeof n.cb=="function"?n.cb((0,f.default)(e),(0,f.default)(r),y,{path:c,key:t.key,type:t.type}):y}let g=p?u:i;return typeof n.cb=="function"?n.cb((0,f.default)(e),(0,f.default)(r),g,{path:c,key:t.key,type:t.type}):g}if((0,j.default)(a)){Object.keys(a).forEach(y=>{var Rt;c=((Rt=t.path)==null?void 0:Rt.length)?`${t.path}.${y}`:`${y}`,i.hasOwnProperty(y)?Nt(y,n.ignoreKeys)?i[y]=k({path:c,key:y,type:[b(i),b(a)]},i[y],a[y],J(_({},n),{ignoreEverything:!0})):Nt(y,n.hardMergeKeys)?i[y]=k({path:c,key:y,type:[b(i),b(a)]},i[y],a[y],J(_({},n),{hardMergeEverything:!0})):Nt(y,n.hardArrayConcatKeys)?i[y]=k({path:c,key:y,type:[b(i),b(a)]},i[y],a[y],J(_({},n),{hardArrayConcat:!0})):i[y]=k({path:c,key:y,type:[b(i[y]),b(a[y])]},i[y],a[y],n):i[y]=a[y]});let g=p?u:i;return typeof n.cb=="function"?n.cb((0,f.default)(e),(0,f.default)(r),g,{path:t.path,key:t.key,type:t.type}):i}let s=p?u:i;return typeof n.cb=="function"?n.cb((0,f.default)(e),(0,f.default)(r),s,{path:t.path,key:t.key,type:t.type}):s}if(w(a)||(0,j.default)(a)||O(a)){let s=p?u:a;return typeof n.cb=="function"?n.cb((0,f.default)(e),(0,f.default)(r),s,{path:t.path,key:t.key,type:t.type}):s}let l=p?u:i;return typeof n.cb=="function"?n.cb((0,f.default)(e),(0,f.default)(r),l,{path:t.path,key:t.key,type:t.type}):l}else if((0,W.default)(i)){if((0,Ft.default)(+i)){if((0,W.default)(a)){if((0,Ft.default)(+a)){let y=p?u:i>a?i:a;return typeof n.cb=="function"?n.cb((0,f.default)(e),(0,f.default)(r),y,{path:t.path,key:t.key,type:t.type}):y}let g=p?u:i;return typeof n.cb=="function"?n.cb((0,f.default)(e),(0,f.default)(r),g,{path:t.path,key:t.key,type:t.type}):g}let s=p?u:a||i;return typeof n.cb=="function"?n.cb((0,f.default)(e),(0,f.default)(r),s,{path:t.path,key:t.key,type:t.type}):s}if((0,W.default)(a)){let s=p?u:a;return typeof n.cb=="function"?n.cb((0,f.default)(e),(0,f.default)(r),s,{path:t.path,key:t.key,type:t.type}):s}let l=p?u:a;return typeof n.cb=="function"?n.cb((0,f.default)(e),(0,f.default)(r),l,{path:t.path,key:t.key,type:t.type}):l}else if(Kt(i)){if(O(i)){if((w(a)||(0,j.default)(a)||Kt(a))&&O(a)){let g=p?u:a;return typeof n.cb=="function"?n.cb((0,f.default)(e),(0,f.default)(r),g,{path:t.path,key:t.key,type:t.type}):g}let s=p?u:i;return typeof n.cb=="function"?n.cb((0,f.default)(e),(0,f.default)(r),s,{path:t.path,key:t.key,type:t.type}):s}if(a!=null&&!Dt(a)){let s=p?u:a;return typeof n.cb=="function"?n.cb((0,f.default)(e),(0,f.default)(r),s,{path:t.path,key:t.key,type:t.type}):s}let l=p?u:i;return typeof n.cb=="function"?n.cb((0,f.default)(e),(0,f.default)(r),l,{path:t.path,key:t.key,type:t.type}):l}else if(ea(i)){if(O(a)){let s=p?u:a;return typeof n.cb=="function"?n.cb((0,f.default)(e),(0,f.default)(r),s,{path:t.path,key:t.key,type:t.type}):s}let l=p?u:i;return typeof n.cb=="function"?n.cb((0,f.default)(e),(0,f.default)(r),l,{path:t.path,key:t.key,type:t.type}):l}else if(Dt(i)){if(Dt(a)){if(n.mergeBoolsUsingOrNotAnd){let g=p?u:i||a;return typeof n.cb=="function"?n.cb((0,f.default)(e),(0,f.default)(r),g,{path:t.path,key:t.key,type:t.type}):g}let s=p?u:i&&a;return typeof n.cb=="function"?n.cb((0,f.default)(e),(0,f.default)(r),s,{path:t.path,key:t.key,type:t.type}):s}if(a!=null){let s=p?u:a;return typeof n.cb=="function"?n.cb((0,f.default)(e),(0,f.default)(r),s,{path:t.path,key:t.key,type:t.type}):s}let l=p?u:i;return typeof n.cb=="function"?n.cb((0,f.default)(e),(0,f.default)(r),l,{path:t.path,key:t.key,type:t.type}):l}else if(i===null){if(a!=null){let s=p?u:a;return typeof n.cb=="function"?n.cb((0,f.default)(e),(0,f.default)(r),s,{path:t.path,key:t.key,type:t.type}):s}let l=p?u:i;return typeof n.cb=="function"?n.cb((0,f.default)(e),(0,f.default)(r),l,{path:t.path,key:t.key,type:t.type}):l}else{let l=p?u:a;return typeof n.cb=="function"?n.cb((0,f.default)(e),(0,f.default)(r),l,{path:t.path,key:t.key,type:t.type}):l}let d=p?u:i;return typeof n.cb=="function"?n.cb((0,f.default)(e),(0,f.default)(r),d,{path:t.path,key:t.key,type:t.type}):d}function cr(t,e,r){if(!arguments.length)throw new TypeError("object-merge-advanced/mergeAdvanced(): [THROW_ID_01] Both inputs are missing");return k({key:null,path:"",type:[b(t),b(e)]},t,e,r)}var fr="3.0.10";var ia=fr,ur={dedupe:!0};function aa(t){return Object.keys(t).sort().reduce((e,r)=>(e[r]=t[r],e),{})}function sa(t,e){if(Array.isArray(t)){if(t.length===0)return{}}else throw new Error(`array-of-arrays-into-ast: [THROW_ID_01] input must be array. Currently it's of a type ${typeof t} equal to:
${JSON.stringify(t,null,4)}`);let r=_(_({},ur),e),o={};return t.forEach(n=>{let c=null;for(let i=n.length;i--;)c={[n[i]]:[c]};o=cr(o,c,{concatInsteadOfMerging:!r.dedupe})}),aa(o)}return mr(ca);})();
/**
 * @name object-merge-advanced
 * @fileoverview Recursively, deeply merge of anything (objects, arrays, strings or nested thereof), which weighs contents by type hierarchy to ensure the maximum content is retained
 * @version 13.0.10
 * @author Roy Revelt, Codsen Ltd
 * @license MIT
 * {@link https://codsen.com/os/object-merge-advanced/}
 */
/**
 * @name util-nonempty
 * @fileoverview Is the input (plain object, array, string or whatever) not empty?
 * @version 4.0.10
 * @author Roy Revelt, Codsen Ltd
 * @license MIT
 * {@link https://codsen.com/os/util-nonempty/}
 */
